2017-05-19  Natalia Portillo  <claunia@claunia.com>

	* FAT.cs:
	* XFS.cs:
	* FFS.cs:
	* PFS.cs:
	* UDF.cs:
	* BFS.cs:
	* SFS.cs:
	* CBM.cs:
	* ODS.cs:
	* ZFS.cs:
	* JFS.cs:
	* Cram.cs:
	* NTFS.cs:
	* SysV.cs:
	* VMfs.cs:
	* APFS.cs:
	* HPFS.cs:
	* VxFS.cs:
	* F2FS.cs:
	* QNX6.cs:
	* FATX.cs:
	* QNX4.cs:
	* BTRFS.cs:
	* Opera.cs:
	* Acorn.cs:
	* exFAT.cs:
	* extFS.cs:
	* Squash.cs:
	* ECMA67.cs:
	* ProDOS.cs:
	* Reiser.cs:
	* NILFS2.cs:
	* ext2FS.cs:
	* Dir.cs:
	* Reiser4.cs:
	* CPM.cs:
	* UNIXBFS.cs:
	* SolarFS.cs:
	* Structs.cs:
	* MinixFS.cs:
	* Symbian.cs:
	* ISO9660.cs:
	* AmigaDOS.cs:
	* Info.cs:
	* Nintendo.cs:
	* PCEngine.cs:
	* AppleHFS.cs:
	* File.cs:
	* Super.cs:
	* Xattr.cs:
	* Consts.cs:
	* Filesystem.cs:
	* Dir.cs:
	* Structs.cs:
	* File.cs:
	* Info.cs:
	* Dir.cs:
	* Super.cs:
	* AppleHFSPlus.cs:
	* Xattr.cs:
	* Dir.cs:
	* Extent.cs:
	* File.cs:
	* Info.cs:
	* Consts.cs:
	* Info.cs:
	* LisaFS.cs:
	* File.cs:
	* Super.cs:
	* Xattr.cs:
	* Dir.cs:
	* Structs.cs:
	* Super.cs:
	* Xattr.cs:
	* Encoding.cs:
	* File.cs:
	* Definitions.cs:
	* Info.cs:
	* Consts.cs:
	* Structs.cs:
	* Super.cs:
	* Structs.cs:
	* AppleDOS.cs:
	* Encoding.cs:
	* AppleMFS.cs:
	* Consts.cs:
	* Structs.cs:
	* UCSDPascal.cs:
	* AssemblyInfo.cs: Updated copyright string.

2017-05-19  Natalia Portillo  <claunia@claunia.com>

	* AssemblyInfo.cs: Bumped version to 3.3.99.0.

2017-05-19  Natalia Portillo  <claunia@claunia.com>

	* DiscImageChef.Filesystems.csproj: Upped version to 3.3.99.0.
	  Do not use version from solution on library projects.

2016-10-08  Natalia Portillo  <claunia@claunia.com>

	* FAT.cs: Add sanity check for BPB.

	* AppleHFS.cs: Correct calling of Read2048SectorAs512()

2016-10-07  Natalia Portillo  <claunia@claunia.com>

	* Dir.cs:
	* Info.cs:
	* File.cs:
	* Xattr.cs:
	* Super.cs:
	* Structs.cs:
	* AppleDOS.cs:
	* DiscImageChef.Filesystems.csproj: Adds support for Apple DOS
	filesystem, closes #33.

2016-09-05  Natalia Portillo  <claunia@claunia.com>

	* Info.cs: Do not throw identification exceptions.

2016-09-02  Natalia Portillo  <claunia@claunia.com>

	* XFS.cs:
	* DiscImageChef.Filesystems.csproj: Adds support for XFS.

2016-09-02  Natalia Portillo  <claunia@claunia.com>

	* Reiser.cs:
	* Reiser4.cs:
	* DiscImageChef.Filesystems.csproj: Adds support for Reiser
	filesystems, closes #19.

	* NILFS2.cs: Corrected plugin GUID not being unique.

2016-09-02  Natalia Portillo  <claunia@claunia.com>

	* NILFS2.cs:
	* DiscImageChef.Filesystems.csproj: Adds support for NILFS2
	filesystem.

2016-09-02  Natalia Portillo  <claunia@claunia.com>

	* F2FS.cs:
	* DiscImageChef.Filesystems.csproj: Adds support for F2FS.

2016-09-02  Natalia Portillo  <claunia@claunia.com>

	* JFS.cs:
	* DiscImageChef.Filesystems.csproj: Adds support for IBM JFS,
	closes #20.

2016-09-02  Natalia Portillo  <claunia@claunia.com>

	* BTRFS.cs: Corrected information missing lines.

2016-09-02  Natalia Portillo  <claunia@claunia.com>

	* QNX6.cs:
	* QNX4.cs:
	* DiscImageChef.Filesystems.csproj: Adds support for QNX6
	filesystem, closes #18.

2016-09-02  Natalia Portillo  <claunia@claunia.com>

	* QNX4.cs:
	* DiscImageChef.Filesystems.csproj: Adds support for QNX4
	filesystem. #18

2016-08-26  Natalia Portillo  <claunia@claunia.com>

	* Info.cs: Typo in HDD superblock, not allocating enough
	memory.

2016-08-26  Natalia Portillo  <claunia@claunia.com>

	* CPM.cs:
	* Dir.cs:
	* File.cs:
	* Info.cs:
	* Xattr.cs:
	* Super.cs:
	* Consts.cs:
	* Structs.cs:
	* cpmdefs.xml:
	* Definitions.cs:
	* DiscImageChef.Filesystems.csproj: Added CP/M filesystem,
	closes #29.

2016-08-26  Natalia Portillo  <claunia@claunia.com>

	* Dir.cs: Typo.

2016-08-21  Natalia Portillo  <claunia@claunia.com>

	* Dir.cs:
	* File.cs:
	* Info.cs:
	* Super.cs:
	* Xattr.cs:
	* Extent.cs:
	* Structs.cs:
	* DiscImageChef.Filesystems.csproj: Separate Lisa tag decoding
	from Lisa filesystem and added Priam tags.

2016-08-18  Natalia Portillo  <claunia@claunia.com>

	* exFAT.cs:
	* DiscImageChef.Filesystems.csproj: Added support for exFAT,
	this closes #15.

2016-08-09  Natalia Portillo  <claunia@claunia.com>

	* DiscImageChef.Filesystems.csproj: Bumped version to
	3.2.99.2.

2016-08-08  Natalia Portillo  <claunia@claunia.com>

	* FFS.cs:
	* BFS.cs:
	* ODS.cs:
	* FAT.cs:
	* APFS.cs:
	* NTFS.cs:
	* SysV.cs:
	* HPFS.cs:
	* Opera.cs:
	* Acorn.cs:
	* extFS.cs:
	* BTRFS.cs:
	* ext2FS.cs:
	* ProDOS.cs:
	* SolarFS.cs:
	* UNIXBFS.cs:
	* ISO9660.cs:
	* MinixFS.cs:
	* AmigaDOS.cs:
	* PCEngine.cs:
	* AppleHFS.cs:
	* AppleHFSPlus.cs:
	* Info.cs: Do not try to read past partition end.

2016-08-07  Natalia Portillo  <claunia@claunia.com>

	* DiscImageChef.Filesystems.csproj: Public beta release
	3.2.99.1.

2016-08-03  Natalia Portillo  <claunia@claunia.com>

	* SysV.cs: Corrected XENIX 3 superblock information.

2016-08-01  Natalia Portillo  <claunia@claunia.com>

	* AssemblyInfo.cs:
	* DiscImageChef.Filesystems.csproj: Bumped to version 3.2.1.

2016-08-01  Natalia Portillo  <claunia@claunia.com>

	* Dir.cs:
	* File.cs: Change trick to use LisaOS path separator.

2016-08-01  Natalia Portillo  <claunia@claunia.com>

	* AssemblyInfo.cs:
	* DiscImageChef.Filesystems.csproj: Bump to version 3.2.0

2016-08-01  Natalia Portillo  <claunia@claunia.com>

	* Dir.cs: Remove spurious debug leftover.
	"Entries are always an integral number of words" solved.

	* Super.cs: When filling volume block map, check we are not
	going out of bounds.

	* HPFS.cs:
	* SysV.cs: Do not try to read past device.

2016-08-01  Natalia Portillo  <claunia@claunia.com>

	* Dir.cs:
	* File.cs:
	* Info.cs:
	* Super.cs:
	* Xattr.cs:
	* Consts.cs:
	* Structs.cs:
	* AppleMFS.cs: Implemented missing methods, for full MFS
	read-only support.

2016-08-01  Natalia Portillo  <claunia@claunia.com>

	* File.cs: Correct block size arithmetic.

2016-08-01  Natalia Portillo  <claunia@claunia.com>

	* Consts.cs:
	* Structs.cs: Added missing consts and structures.

2016-08-01  Natalia Portillo  <claunia@claunia.com>

	* Info.cs:
	* Encoding.cs: Added MacRoman to Unicode.

	* Encoding.cs: Corrected Unicode mapping.

2016-08-01  Natalia Portillo  <claunia@claunia.com>

	* Dir.cs:
	* Super.cs:
	* Xattr.cs:
	* Consts.cs:
	* Structs.cs:
	* AppleMFS.cs:
	* Encoding.cs: Corrected file headers.

2016-08-01  Natalia Portillo  <claunia@claunia.com>

	* Dir.cs:
	* Info.cs:
	* File.cs:
	* Xattr.cs:
	* Super.cs:
	* Consts.cs:
	* Structs.cs:
	* Encoding.cs:
	* AppleMFS.cs:
	* DiscImageChef.Filesystems.csproj: Separated Apple MFS plugin
	in different files.

2016-08-01  Natalia Portillo  <claunia@claunia.com>

	* SysV.cs: Detect older version of the XENIX superblock (found
	in Lisa XENIX).

2016-07-31  Natalia Portillo  <claunia@claunia.com>

	* File.cs:
	* Super.cs: Corrected file size calculation.

2016-07-31  Natalia Portillo  <claunia@claunia.com>

	* Dir.cs:
	* File.cs:
	* Info.cs:
	* Super.cs:
	* Consts.cs:
	* Structs.cs:
	* UCSDPascal.cs:
	* DiscImageChef.Filesystems.csproj: Added support for U.C.S.D.
	Pascal filesystem, closes #31

2016-07-31  Natalia Portillo  <claunia@claunia.com>

	* Super.cs: Reports correct filesystem version on Statfs();

2016-07-31  Natalia Portillo  <claunia@claunia.com>

	* File.cs: Code cleanup

2016-07-31  Natalia Portillo  <claunia@claunia.com>

	* Dir.cs:
	* File.cs:
	* Super.cs:
	* Xattr.cs:
	* Consts.cs:
	* LisaFS.cs:
	* Structs.cs: Added support for subcatalogs.

2016-07-29  Natalia Portillo  <claunia@claunia.com>

	* DiscImageChef.Filesystems.csproj: Bump to version 3.1.0.

2016-07-29  Natalia Portillo  <claunia@claunia.com>

	* Filesystem.cs:
	* Dir.cs:
	* File.cs:
	* Super.cs:
	* Xattr.cs:
	* LisaFS.cs:
	* Consts.cs:
	* Extent.cs:
	* Structs.cs:
	* Encoding.cs: Added comments.

2016-07-28  Natalia Portillo  <claunia@claunia.com>

	* Dir.cs:
	* File.cs:
	* Extent.cs:
	* Encoding.cs: Code re-styling.

2016-07-28  Natalia Portillo  <claunia@claunia.com>

	* ODS.cs:
	* FFS.cs:
	* BFS.cs:
	* FAT.cs:
	* NTFS.cs:
	* APFS.cs:
	* HPFS.cs:
	* SysV.cs:
	* Opera.cs:
	* Acorn.cs:
	* BTRFS.cs:
	* extFS.cs:
	* ext2FS.cs:
	* ProDOS.cs:
	* MinixFS.cs:
	* Symbian.cs:
	* Structs.cs:
	* SolarFS.cs:
	* UNIXBFS.cs:
	* ISO9660.cs:
	* PCEngine.cs:
	* Nintendo.cs:
	* AppleMFS.cs:
	* AppleHFS.cs:
	* AmigaDOS.cs:
	* Dir.cs:
	* Filesystem.cs:
	* File.cs:
	* Info.cs:
	* Xattr.cs:
	* Super.cs:
	* AppleHFSPlus.cs:
	* LisaFS.cs:
	* Extent.cs:
	* Consts.cs:
	* Structs.cs:
	* Encoding.cs: Refactor and code cleanup.

2016-07-28  Natalia Portillo  <claunia@claunia.com>

	* Encoding.cs: Solve null reference.

2016-02-10  Natalia Portillo  <claunia@claunia.com>

	* FFS.cs:
	  Added support for superblock offset in Atari UNIX.

	* SysV.cs:
	  Corrected big endian magic.

2016-02-05  Natalia Portillo  <claunia@claunia.com>

	* Acorn.cs:
	  Added exception catching and unsigned values to correct
	  Acorn DiscRecord structure. Fixes #34

2016-02-05  Natalia Portillo  <claunia@claunia.com>

	* Acorn.cs:
	* DiscImageChef.Filesystems.csproj:
	  Added support for Acorn ADFS.

	* FFS.cs:
	  Correct FFS information.

2016-02-05  Natalia Portillo  <claunia@claunia.com>

	* FAT.cs:
	  Correct null volume label and oem string

	* NTFS.cs:
	  Some NTFS do not contain signature1.

2016-02-04  Natalia Portillo  <claunia@claunia.com>

	* FFS.cs:
	  Corrected array initialization.

2016-01-16  Natalia Portillo  <claunia@claunia.com>

	* FAT.cs:
	  Refactor most disk references to media.

2015-12-31  Natalia Portillo  <claunia@claunia.com>

	* ISO9660.cs:
	  Comment unused variable.

2015-12-25  Natalia Portillo  <claunia@claunia.com>

	* ISO9660.cs:
	  Corrected Dreamcast IP.BIN interpretation.

2015-12-23  Natalia Portillo  <claunia@claunia.com>

	* ISO9660.cs:
	  Filter null characters from Volume Descriptors.
	If Joliet descriptor is null, or ISO descriptor is longer, use
	  ISO descriptor for XML metadata.

2015-12-06  Natalia Portillo  <claunia@claunia.com>

	* ISO9660.cs:
	  Added support for CD-ROM XA sectors.

2015-12-06  Natalia Portillo  <claunia@claunia.com>

	* SysV.cs:
	  Solved false positives of UNIX 7th Edition filesystem.

2015-12-06  Natalia Portillo  <claunia@claunia.com>

	* ODS.cs:
	* FFS.cs:
	* BFS.cs:
	* HPFS.cs:
	* NTFS.cs:
	* SysV.cs:
	* Opera.cs:
	* extFS.cs:
	* ext2FS.cs:
	* LisaFS.cs:
	* SolarFS.cs:
	* MinixFS.cs:
	* UNIXBFS.cs:
	* AppleMFS.cs:
	* AppleHFS.cs:
	* AppleHFSPlus.cs:
	  Moved comments to XML documentation.

2015-12-06  Natalia Portillo  <claunia@claunia.com>

	* Plugin.cs:
	  Added documentation.

2015-12-06  Natalia Portillo  <claunia@claunia.com>

	* FFS.cs:
	* BFS.cs:
	* ODS.cs:
	* SysV.cs:
	* extFS.cs:
	* ProDOS.cs:
	* ext2FS.cs:
	* LisaFS.cs:
	* MinixFS.cs:
	* UNIXBFS.cs:
	* AppleMFS.cs:
	* PCEngine.cs:
	* AppleHFS.cs:
	* AmigaDOS.cs:
	* AppleHFSPlus.cs:
	  Completed XML information.

	* ISO9660.cs:
	  Corrected fail in Sega CD IP.BIN decoding.
	Corrected IP.BIN date decoding.
	Trim spaces at end of Volume Descriptor string fields.
	Completed XML information.

2015-12-05  Natalia Portillo  <claunia@claunia.com>

	* FAT.cs:
	* FFS.cs:
	* ODS.cs:
	* BFS.cs:
	* HPFS.cs:
	* NTFS.cs:
	* SysV.cs:
	* Opera.cs:
	* extFS.cs:
	* LisaFS.cs:
	* ProDOS.cs:
	* Plugin.cs:
	* ext2FS.cs:
	* SolarFS.cs:
	* ISO9660.cs:
	* MinixFS.cs:
	* UNIXBFS.cs:
	* AppleHFS.cs:
	* AppleMFS.cs:
	* AmigaDOS.cs:
	* PCEngine.cs:
	* AppleHFSPlus.cs:
	* DiscImageChef.Filesystems.csproj:
	  Added generating XML metadata for file systems.

2015-12-04  Natalia Portillo  <claunia@claunia.com>

	* AmigaDOS.cs:
	  Corrected root block search.

2015-11-10  Natalia Portillo  <claunia@claunia.com>

	* BFS.cs:
	  Invert endian description

2015-11-09  Natalia Portillo  <claunia@claunia.com>

	* BFS.cs:
	  Prevent index out of array on checking BeFS with
	  less-than-sector-size boot sector.

2015-11-09  Natalia Portillo  <claunia@claunia.com>

	* BFS.cs:
	  Corrected decoding fields.
	Added supports for boot sector smaller than device size as in
	  some Be CDs.

2015-10-19  Natalia Portillo  <claunia@claunia.com>

	* DiscImageChef.Filesystems.csproj:
	  Upgrade .NET version to 4.0.

2015-10-18  Natalia Portillo  <claunia@claunia.com>

	* FAT.cs:
	* FFS.cs:
	* LisaFS.cs:
	* ProDOS.cs:
	* ISO9660.cs:
	* UNIXBFS.cs:
	* SolarFS.cs:
	* AmigaDOS.cs:
	* AppleHFS.cs:
	* DiscImageChef.Filesystems.csproj:
	  Added specific console handling for standard, verbose, debug
	  and error outputs.

2015-10-05  Natalia Portillo  <claunia@claunia.com>

	* ODS.cs:
	* FFS.cs:
	* FAT.cs:
	* BFS.cs:
	* SysV.cs:
	* HPFS.cs:
	* NTFS.cs:
	* Opera.cs:
	* extFS.cs:
	* ext2FS.cs:
	* ProDOS.cs:
	* Plugin.cs:
	* LisaFS.cs:
	* Symbian.cs:
	* ISO9660.cs:
	* SolarFS.cs:
	* MinixFS.cs:
	* UNIXBFS.cs:
	* AppleMFS.cs:
	* AppleHFS.cs:
	* AmigaDOS.cs:
	* PCEngine.cs:
	* AppleHFSPlus.cs:
	* Properties/AssemblyInfo.cs:
	* DiscImageChef.Filesystems.csproj:
	  Move filesystems to a separate library.

